.seehotel-triptychon {
    max-width: 1300px;
    width: 100%;
    --col-padding: 40px;
}

.seehotel-triptychon .triptychon-inner {
    display: grid;
    align-items: center;
    grid-template-columns: 2fr repeat(3, 1fr);
    grid-template-areas: "text image-left image-center image-right";
}

.seehotel-triptychon .triptychon-text {
    grid-area: text;
}

.seehotel-triptychon .triptychon-images {
    display: contents;
}

.seehotel-triptychon .triptychon-images .triptychon-image.image-left {
    grid-area: image-left;
    padding-right: var(--col-padding);
}

.seehotel-triptychon .triptychon-images .triptychon-image.image-center {
    grid-area: image-center;
    padding-right: var(--col-padding);
}

.seehotel-triptychon .triptychon-images .triptychon-image.image-right {
    grid-area: image-right;
}

.seehotel-triptychon .triptychon-images .triptychon-image img {
    width: 100%;
    height: 570px;
    object-fit: cover;
    display: block;
}

.seehotel-triptychon .triptychon-inner.text-left {
    grid-template-columns: 2fr repeat(3, 1fr);
    grid-template-areas: "text image-left image-center image-right";
}

.seehotel-triptychon .triptychon-inner.text-left .triptychon-text {
    padding-right: var(--col-padding);
}

.seehotel-triptychon .triptychon-inner.text-left .triptychon-image.image-right {
    padding-right: var(--col-padding);
}

.seehotel-triptychon .triptychon-inner.text-right {
    grid-template-columns: repeat(3, 1fr) 2fr;
    grid-template-areas: "image-left image-center image-right text";
}

.seehotel-triptychon .triptychon-inner.text-right .triptychon-image.image-right {
    padding-right: var(--col-padding);
}

.seehotel-triptychon .triptychon-text {
    text-align: center;
}

.seehotel-triptychon .triptychon-text .triptychon-title {
    font-family: var(--wp--preset--font-family--fake-serif);
    font-size: var(--wp--preset--font-size--xx-large);
    margin-bottom: 20px;
}

.seehotel-triptychon .triptychon-text .triptychon-description {
    font-size: var(--wp--preset--font-size--small);
    margin-bottom: 20px;
    max-width: 600px;
}

.seehotel-triptychon .triptychon-text .triptychon-description p {
    margin: 0;
}

.seehotel-triptychon .triptychon-text .triptychon-link a {
    border: 1px solid var(--wp--preset--color--tertiary);
    padding: 4px 64px;
    text-decoration: none;
    transition: all 0.3s ease-in-out;
    transform: scale(1);
    display: inline-block;
}

.seehotel-triptychon .triptychon-text .triptychon-link a span {
    transition: all 0.3s ease-in-out;
    display: inline-block;
}

.seehotel-triptychon .triptychon-text .triptychon-link a:hover {
    color: #fff;
    background-color: var(--wp--preset--color--primary);
    border-color: var(--wp--preset--color--primary);
}

.seehotel-triptychon .triptychon-text .triptychon-link a:hover span {
    transform: scale(1.1);
}

@media (max-width: 1000px) {
    .seehotel-triptychon :is(.triptychon-inner.text-left, .triptychon-inner.text-right) {
        grid-template-columns: 1fr;
        grid-template-areas: "image-left" "image-center" "image-right" "text";
    }

    .seehotel-triptychon .triptychon-images {
        display: grid;
        grid-template-columns: 1fr 1fr 1fr;
        gap: 20px;
    }

    .seehotel-triptychon .triptychon-images .triptychon-image {
        padding: 0 !important;
        grid-area: unset !important;
    }

    .seehotel-triptychon .triptychon-images .triptychon-image img {
        max-height: 467px;
    }

    .seehotel-triptychon .triptychon-text {
        display: flex;
        flex-direction: column;
        align-items: center;
        text-align: center;
        padding-right: 0 !important;
        padding-top: 40px;
    }
}

@media (max-width: 600px) {
    .seehotel-triptychon .triptychon-link {
        width: 90vw;
    }

    .seehotel-triptychon .triptychon-link a {
        width: 100%;
    }

    .seehotel-triptychon .triptychon-images .triptychon-image img {
        max-height: 380px;
    }
}